package com.tmax.openframe.variable.condition;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import java.util.function.Predicate;
import lombok.*;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public enum OIVPINSR_DEFINITIONS_OF_EIBAID_FIELD_CONDITION {
    ENTER_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("'") == 0, "'"),
    CLEAR_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("_") == 0, "_"),
    PF1_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("1") == 0, "1"),
    PF2_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("2") == 0, "2"),
    PF3_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("3") == 0, "3"),
    PF4_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("4") == 0, "4"),
    PF5_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("5") == 0, "5"),
    PF6_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("6") == 0, "6"),
    PF7_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("7") == 0, "7"),
    PF8_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("8") == 0, "8"),
    PF9_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("9") == 0, "9"),
    PF10_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo(":") == 0, ":"),
    PF11_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("#") == 0, "#"),
    PF12_KEY((DEFINITIONS_OF_EIBAID_FIELD) -> DEFINITIONS_OF_EIBAID_FIELD
            .compareTo("@") == 0, "@");
    Predicate<String> condition;
    String DEFINITIONS_OF_EIBAID_FIELD;

    private OIVPINSR_DEFINITIONS_OF_EIBAID_FIELD_CONDITION(
            Predicate<String> condition, int repValue) {
        this.condition = condition;
        DEFINITIONS_OF_EIBAID_FIELD = String.valueOf(repValue);
    }

    private OIVPINSR_DEFINITIONS_OF_EIBAID_FIELD_CONDITION(
            Predicate<String> condition, long repValue) {
        this.condition = condition;
        DEFINITIONS_OF_EIBAID_FIELD = String.valueOf(repValue);
    }

    private OIVPINSR_DEFINITIONS_OF_EIBAID_FIELD_CONDITION(
            Predicate<String> condition, double repValue) {
        this.condition = condition;
        DEFINITIONS_OF_EIBAID_FIELD = String.valueOf(repValue);
    }

    private OIVPINSR_DEFINITIONS_OF_EIBAID_FIELD_CONDITION(
            Predicate<String> condition, String repValue) {
        this.condition = condition;
        DEFINITIONS_OF_EIBAID_FIELD = repValue;
    }

    private OIVPINSR_DEFINITIONS_OF_EIBAID_FIELD_CONDITION(
            Predicate<String> condition, BigDecimal repValue) {
        this.condition = condition;
        DEFINITIONS_OF_EIBAID_FIELD = repValue.toString();
    }

    public boolean test(String t) {
        return this.condition.test(t);
    }

    public final String value() {
        return DEFINITIONS_OF_EIBAID_FIELD;
    }
}
